Subject: Re: bug#35005: 27.0.50; Fontification unexpectedly works with anonymous faces

From: Markus Triska <[email-masked]>
Date: Sat, 02 Nov 2019 10:10:27 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> OK, I'll adjust the text in the manual.  Names faces are preferable, but
> generating faces on the fly is sometimes necessary.

In my opinion, this issue is not resolved, please consider reopening it.

With the change that is now installed, the documentation reads:

   Many parts of Emacs require named faces, but some do not accept
   anonymous faces (e.g., the functions documented in @ref{Attribute
   Functions})

Where "require named faces" and "do not accept anonymous faces" amounts
to the same thing, so the wording seems not to be the intended one.

So in fact, the documentation now stresses further that named faces are
required, whereas the point of this issue is to document that anonymous
faces can be used for fontification. This still cannot be deduced from
the current manual. If that works, could you please document it?

Thank you and all the best,
Markus